.login-page {
  min-height: 100vh;
  .banner {
    height: 300px;
  }  

}
.cursor-pointer{
  cursor: pointer;
}
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.form-input {
  margin-top: 20px;
  .label-form {
    font-weight: bold;
    margin-bottom: 5px;
  }
  .icon-input {
    position: absolute;
    right: 15px;
    top: 10px;
  }
}
.v-btn {
  text-transform: capitalize;
}
  
.app-box-grey{
  box-shadow: rgba(0, 0, 0, 0.07) -1px -1px 0px inset;
  background: #FBFBFB;
  .app-sub{
    font-weight: 500;
    font-size: 16px;
    font-weight: bold;
    color: #000000;
  }
}
.app-box{
  box-shadow: rgba(0, 0, 0, 0.05) 0px -1px 0px inset;

  .app-sub{
    font-weight: 500;
    font-size: 16px;
    font-weight: bold;
    color: #000000;
  }
}
.toggle.v-input--is-disabled.v-text-field--outline .v-input__slot {
  border-color: #eb000061;
}
.theme--light.v-text-field--outlined:not(.v-input--is-focused):not(.v-input--has-state) > .v-input__control > .v-input__slot fieldset {
  border: 1px solid rgba(0, 0, 0, 0.1);
}
.v-date-picker-title__date > div {
  position: relative;
  font-size: 34px !important;
}
.checkbox {
  .theme--light.v-label {
    color: black !important;
    font-size: 14px !important;
    margin-top: 3px;
  }
}
.employee-shift {
  .v-tabs--vertical > .v-window {
    margin-top: -40px !important;
  }
}
.v-dialog {
  overflow-y: scroll !important;
}
.v-dialog::-webkit-scrollbar {
  display: none;
}
.v-dialog {
  -ms-overflow-style: none;
}
.v-input--is-disabled:not(.v-input--is-readonly){
  background: rgba(121, 119, 119, 0.137);
  height: 40px;
}
.v-list-item__content {
  text-transform: capitalize !important;
}
// table
.theme--light.v-data-table thead tr:last-child th{
  background-color: #ffffff;
}
.theme--light.v-data-table thead tr th {
  font-size: 14px;
  line-height: 20px;
  color: #008ef8
}
.v-application {
  .elevation-1 {
    box-shadow: inset 0px -1px 0px rgba(0, 0, 0, 0.05) !important;
  }
  .primary--text{
    color: #008ef8 !important;
    caret-color: #008ef8 !important;
  }
}
// image in table
.photo {
  width: 48px;
  height: 48px;
  img {
    width: 48px;
    height: 48px;
    border-radius: 4px;
    object-fit: cover;
  }
}
// .bg-abstract {
//   background-image: url('../../assets/img/abstract.png');
// }
.opticality {
  
  background-color:#5858585c;
}
// border div
.shadow-bottom {
  -moz-box-shadow: 0 4px 4px rgb(0 0 0 / 9%);
  -webkit-box-shadow: 0 4px 4px rgb(0 0 0 / 9%);
  box-shadow: 0 4px 4px rgb(0 0 0 / 9%);
}
.border-bottom {
  border-bottom: 1px solid #E0E0E0;
}
.border-top {
  border-top: 1px solid #E0E0E0;
}
.border-right {
  border-right: 1px solid #E0E0E0;
}
// width
.w-full {
  width: 100%;
}
.w-50 {
  width: 50%;
}
.w-40 {
  width: 40%;
}
.w-25 {
  width: 25%;
}
.image-nav {
  width: 100%;
  height: auto;
}
.image-logo {
  width: 50%;
  height: auto;
  padding-top: 1rem;
  margin: 3rem;
}
.border-buttom {
  border-radius: 0px 0px 1rem 1rem ;
  width: 100%;
  height: auto;
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-success {
  min-width: -webkit-fill-available;
  background: #008ef8 !important;
  background-size: 100%; background-repeat: no-repeat;
}
.bg-success-2 {
  min-width: -webkit-fill-available;
  background: linear-gradient(100deg, #ffd022 0, #f3692b 100%) !important;
  background-size: 100%; background-repeat: no-repeat;
}
.bg-success-3 {
  min-width: -webkit-fill-available;
  background: linear-gradient(30deg, #82d3fc 0, #b1f32b 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table {
  min-width: -webkit-fill-available;
  background: linear-gradient(30deg, #00dbe6 0, #f4ff51 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table-2 {
  min-width: -webkit-fill-available;
  background: linear-gradient(1deg, #ff8f00 10%, #ffffff 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table-3 {
  min-width: -webkit-fill-available;
  background: linear-gradient(30deg, #fe7b7b 10%, #00cdff 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table-4 {
  min-width: -webkit-fill-available;
  background: linear-gradient(800deg, #2d2b2bd4 10%, #ffffff 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table-5 {
  min-width: -webkit-fill-available;
  background: linear-gradient(800deg, #ff7a00 10%, #6a90d6 100%) !important;
  background-size: 100%;
  background-repeat: no-repeat;
}
.bg-success-table-6 {
  min-width: -webkit-fill-available;
  background: linear-gradient(0deg, rgba(34,193,195,1) 0%, rgba(253,187,45,1) 100%);
  background-size: 100%;
  background-repeat: no-repeat;
}
.slide-fade-enter-active {
  transition: all .1s ease;
}
.slide-fade-leave-active {
  transition: all .5s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}
.slide-fade-enter, .slide-fade-leave-to {
  transform: translateX(10px);
opacity: 0;
}
.fade-enter-active, .fade-leave-active {
  transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
.absolute {
  position: absolute;
}
.bg-image {
  background-image: 'url(' + require('@/assets/img/logo/yogya-logo.png') + ')';
  background-size: cover;
  background-position: center top;
}
.div2 {
  float: right;
}
.div1 {
  float: left;
}
.v-date-picker-title__date > div {
  position: relative;
  font-size: 27px !important;
}

@media (max-width: 600px) {
  .div1 {
    order: 2;
  }
  .div2 {
    order: 1;
  }
  .text-danger-xl {
    font-size: 12px;
    line-height: 10px;
    color: #dd0000;
  }
  
    section {
    position: relative;
    width: 100%;
    height: 81% !important;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    }
}
@media only screen and (max-width: 600px) {
  .text-white-md {
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 2.5;
    color: #FFFFFF;
}
  .d-none-600 {
    display: none;
  }
  .d-show-600 {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    color: #333333;
  }
  .text-14-regular {
    display: none;
  }
  .text-white-lg {
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5;
    color: #FFFFFF;
  }
  .w-50 {
    width: 100%;
    font-size: 12px;
  }
  .v-application .title {
    font-size: 0.80rem !important;
    font-weight: 500;
    line-height: 2rem;
    letter-spacing: 0.0125em !important;
    font-family: "Roboto", sans-serif !important;
  }
  .text-regular-16 {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 21px;
    color: #32325d;
  }
  .v-dialog > .v-card > .v-card__title {
    font-size: 0.85rem;
    font-weight: 500;
    letter-spacing: 0.0125em;
    padding: 16px 24px 10px;
  }
  
  .border-top-flex {
    border-top: 1px solid #E0E0E0;
    padding-top: 1rem;
  }
  
    section {
    position: relative;
    width: 100%;
    height: 81% !important;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    }
} // end 600

.separate-count {
  position: relative;


  &:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    width: 70%;
    z-index: 0;
    margin: auto;
    top: 18px;
    height: 2px;
    background: #b8b8b8;
  }
}
.v-carousel {
  height: auto !important;
}
.v-responsive {
  height: auto !important;
}
.v-image__image{
  background-repeat:no-repeat;
  background-size:contain;
  background-position:center;
}
.fade-enter-active, .fade-leave-active {
  transition: opacity .5s
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0
}
// table
.mobile {
  color: #333;
}

@media screen and (max-width: 768px) {
    
    section {
    position: relative;
    width: 100%;
    height: 81% !important;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    }
  .mobile table.v-table tr {
    max-width: 100%;
    position: relative;
    display: block;
  }

  .mobile table.v-table tr:nth-child(odd) {
    border-left: 6px solid deeppink;
  }

  .mobile table.v-table tr:nth-child(even) {
    border-left: 6px solid cyan;
  }

  .mobile table.v-table tr td {
    display: flex;
    width: 100%;
    border-bottom: 1px solid #f5f5f5;
    height: auto;
    padding: 10px;
  }

  .mobile table.v-table tr td ul li:before {
    content: attr(data-label);
    padding-right: .5em;
    text-align: left;
    display: block;
    color: #999;

  }
  .v-datatable__actions__select
  {
    width: 50%;
    margin: 0px;
    justify-content: flex-start;
  }
  .mobile .theme--light.v-table tbody tr:hover:not(.v-datatable__expand-row) {
    background: transparent;
  }

}

.v-image__image {
    background-size: 100% 100% !important;
}

@media screen and (min-width: 768px) {
  .text-home-name {
    margin: 0;
    padding: 0;
    color: #fff;
    font-size: 3.5rem;
  }
  .text-home-sub {
    font-weight: 600;
    font-size: 1.5rem;
    line-height: 18px;
    color: rgba(255, 255, 255, 0.6);
  }
  .avatar-home {
    height: 150px !important;
    min-width: 150px !important;
    width: 150px !important;
  }
}
.flex-content {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.flex-item {
  padding: 5px;
  width: 50%;
  height: 40px;
  font-weight: bold;
}
.v-btn--fab.v-btn--fixed, .v-btn--fab.v-btn--absolute {
  z-index: 100;
  /* padding-bottom: 1rem; */
  margin-bottom: 1.5rem;
}
.img-not-found-center {
  max-width: 50%;
  margin-left: auto;
  margin-right: auto;
}
.img-saham-center {
  max-width: 80%;
  height: 150px;
  margin-left: auto;
  margin-right: auto;
}
.img-not-found {
  max-width: 100%;
}
.margin-auto {
  margin-left: auto;
  margin-right: auto;
}
section {
    position: relative;
    width: 100%;
  height: 51%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

section:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 14%;
  background: linear-gradient(45deg, #63c36a, #ffe500);
  border-radius: 100% 0 100% 0/0 0 100% 100%;
  transform: scaleX(1.5);
}

section .container {
  position: relative;
  z-index: 1;
  margin: 0 auto;
  max-width: 600px;
  text-align: center;
}

section .container h2 {
  margin: 0;
  padding: 0;
  color: #fff;
  font-size: 3em;
}

section .container p {
  color: #fff;
  font-size: 1.2em;
}
svg {
  width:100%;
  overflow:visible;
}

.wave {
  animation: wave 3s linear;
  animation-iteration-count:infinite;
  fill: #9dd043;
}
.drop {
  fill: var(--col-deepblue);
  xfill: #99000055;
  animation: drop 3.2s linear infinite normal;
  stroke: var(--col-deepblue);
  stroke-width:0.5;
  transform: translateY(25px) ;
  transform-box: fill-box;
  transform-origin: 50% 100%;
}
.drop1 {
  
}
.drop2 {
  animation-delay: 3s;
  animation-duration:3s;
}
.drop3 {
  animation-delay: -2s;
  animation-duration:3.4s;
}
.drop4 {
  animation-delay: 1.7s;
}
.drop5 {
  animation-delay: 2.7s;
  animation-duration:3.1s;
}
.drop6 {
  animation-delay: -2.1s;
  animation-duration:3.2s;
}
.gooeff {
  filter: url(#goo);
}
#wave2 {
  animation-duration:5s;
  animation-direction: reverse;
  opacity: .6
}
#wave3 {
  animation-duration: 7s;
  opacity:.3;
}
@keyframes drop {
  0% {
    transform: translateY(25px); 
  }
  30% {
    transform: translateY(-10px) scale(.1);
  }
  30.001% {
    transform: translateY(25px) scale(1); 
  }
  70% {
    transform: translateY(25px); 
  }
  100% { 
    transform: translateY(-10px) scale(.1);  
  }
}
@keyframes wave {
  to {transform: translateX(-100%);}
}
// .v-input input {
//     max-height: 32px;
//     text-transform: uppercase !important;
// }
// .v-select.v-input--dense .v-select__selection--comma {
//     text-transform: uppercase !important;
// }
// .text-blood-sm {
//     text-transform: uppercase !important;
// }